Bug 335339 - Line drawing chars minor problems
Summary: Line drawing chars minor problems
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: font (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-25 14:45 UTC by Egmont Koblinger
Modified: 2014-05-30 13:21 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.13.2


Attachments
fix (2.56 KB, patch)
2014-05-25 14:46 UTC, Egmont Koblinger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Egmont Koblinger 2014-05-25 14:45:45 UTC
Some line drawing characters (namely U+2532, U+2544, U+2546, U+2560, literal: ┲ ╄ ╆ ╠)  are defined incorrectly.
See attached patch.

Reproducible: Always

Steps to Reproduce:
(standing in konsole's source code) cat tests/boxes.txt and examine these characters, especially compared to the similar adjacent line drawing chars.
Comment 1 Egmont Koblinger 2014-05-25 14:46:11 UTC
Created attachment 86817 [details]
fix
Comment 2 Egmont Koblinger 2014-05-25 14:48:31 UTC
(konsole's boxes.txt doesn't cover all these glyphs, use https://git.gnome.org/browse/vte/tree/doc/boxes.txt instead)
Comment 3 Kurt Hindenburg 2014-05-25 23:03:50 UTC
Thanks  - it is hard to see some of these - I'll verify and commit
Comment 4 Kurt Hindenburg 2014-05-25 23:57:38 UTC
Git commit 58d79e362498eed5dc5d68aabb38f4533de07c0a by Kurt Hindenburg.
Committed on 25/05/2014 at 23:54.
Pushed by hindenburg into branch 'master'.

Correct line drawing characters U+2532, U+2544, U+2546, U+2560

Fix box lines - using kmag is a great help

Thanks to Egmont Koblinger egmont gmail com for report and patch
FIXED-IN: 4.13.2

M  +3    -3    src/LineFont.h
M  +4    -4    src/LineFont.src

http://commits.kde.org/konsole/58d79e362498eed5dc5d68aabb38f4533de07c0a
Comment 5 Kurt Hindenburg 2014-05-26 00:12:55 UTC
Git commit d430be741e2f1b996b5faad806c92e9ce1ee86bc by Kurt Hindenburg.
Committed on 25/05/2014 at 23:54.
Pushed by hindenburg into branch 'KDE/4.13'.

Correct line drawing characters U+2532, U+2544, U+2546, U+2560

Fix box lines - using kmag is a great help

Thanks to Egmont Koblinger egmont gmail com for report and patch
FIXED-IN: 4.13.2
(cherry picked from commit 58d79e362498eed5dc5d68aabb38f4533de07c0a)

M  +3    -3    src/LineFont.h
M  +4    -4    src/LineFont.src

http://commits.kde.org/konsole/d430be741e2f1b996b5faad806c92e9ce1ee86bc
Comment 6 Kurt Hindenburg 2014-05-30 13:21:39 UTC
Git commit 455f0106b9e5faf9d3d67a4b0e9ea16881c3c311 by Kurt Hindenburg.
Committed on 25/05/2014 at 23:54.
Pushed by hindenburg into branch 'frameworks'.

Correct line drawing characters U+2532, U+2544, U+2546, U+2560

Fix box lines - using kmag is a great help

Thanks to Egmont Koblinger egmont gmail com for report and patch
FIXED-IN: 4.13.2
(cherry picked from commit 58d79e362498eed5dc5d68aabb38f4533de07c0a)

M  +3    -3    src/LineFont.h
M  +4    -4    src/LineFont.src

http://commits.kde.org/konsole/455f0106b9e5faf9d3d67a4b0e9ea16881c3c311